body {
	margin: 2em;
  font-family: "Regular Patch", "Regular Bold", "Nunito Sans", "Segoe UI", "Helvetica Neue", sans-serif;
  background-color: #e6e6ff;
}

input {
	margin: 0 0 1.5em .5em;
  border-color: rgb(221, 221, 221);
  border-style: solid;
  border-width: 1px;
  box-sizing: border-box;
  color: rgb(51, 51, 51);
  display: inline-block;
  font-family: "Raleway", Arial, Tahoma;
  font-weight: 400;
}

h1 {
  margin-left: 2em;
}

label {
	float: left;
	text-align: right;
	width: 10em;
}

.button {
  background-color: #6666ff;
  border: none;
  color: white;
  padding: 15px 25px;
  text-align: center;
  font-size: 1em;
  cursor: pointer;
  float: left;
  margin-top: 2em;
  margin-left: 7em;
  font-family: inherit;
}

.button:hover {
  background-color: #005ce6;
}

.edit {
  display: inline-block;
  background-color: #A9A9A9;
  border: none;
  color: white;
  padding: 8px 8px;
  text-align: center;
  font-size: 10px;
  cursor: pointer;
  float: right;
  border-radius: 8px;
  transition-duration: 0.3s;
}

.edit:hover {
  background-color: #4d4d4d;
}

.delete {
  display: inline-block;
  background-color: #A9A9A9;
  border: none;
  color: white;
  padding: 8px 8px;
  text-align: center;
  font-size: 10px;
  cursor: pointer;
  float: right;
  border-radius: 8px;
  transition-duration: 0.3s;
}

.delete:hover {
  background-color: #4d4d4d;
}

ul {
  overflow: hidden;
  padding: 0;
  width: 60%;
  margin-left: 4em;
  margin-right: 4em;
  margin-top: 8em;
  margin-bottom: 1em;
  list-style: none;
  clear: left;
}

li {
  position: relative;
  padding-left: 30px;
  height: auto;
  line-height: 50px;
  margin: 5px 0px;
  border-radius: 8px;
  width: auto;
  cursor: pointer;
  word-break: break-word;
  transition-duration: 0.3s;
  white-space: nowrap;
  overflow-x: auto;
}

.listTextbox {
  display: inline-block;
  width: 85%;
  margin: 0em;
  text-decoration: inherit;
  outline: none;
}

.listTextbox.editable {
  cursor: text;
}

.notCrossedOut {
  background:  #e67e22;
}

.crossedOut {
  background:  #66ff66;
  text-decoration: line-through;
}

.notCrossedOut:hover {
  border-color: #777;
  box-shadow: 3px 3px 5px #333;

  background: #f1c40f; /* Old browsers */
  /*Different Browsers commented out, because I don't want to understand it*/
  /*background: -moz-linear-gradient(top, #dddddd 0%, #ffffff 25%, #ffffff 75%, #dddddd 100%); /* FF3.6+ */
  /*background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#dddddd), color-stop(25%,#ffffff), color-stop(75%,#ffffff), color-stop(100%,#dddddd)); /* Chrome,Safari4+ */
  /*background: -webkit-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* Chrome10+,Safari5.1+ */
  /*background: -o-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* Opera 11.10+ */
  /*background: -ms-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* IE10+ */
  /*background: linear-gradient(to bottom, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* W3C */
  /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeee', endColorstr='#dddddd',GradientType=0 ); /* IE6-9 */

}

.crossedOut:hover {
  border-color: #777;
  box-shadow: 1px 1px 3px #333;

  background: #4BC72C; /* Old browsers */
  /*Different Browsers commented out, because I don't want to understand it*/
  /*background: -moz-linear-gradient(top, #dddddd 0%, #ffffff 25%, #ffffff 75%, #dddddd 100%); /* FF3.6+ */
  /*background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#dddddd), color-stop(25%,#ffffff), color-stop(75%,#ffffff), color-stop(100%,#dddddd)); /* Chrome,Safari4+ */
  /*background: -webkit-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* Chrome10+,Safari5.1+ */
  /*background: -o-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* Opera 11.10+ */
  /*background: -ms-linear-gradient(top, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* IE10+ */
  /*background: linear-gradient(to bottom, #dddddd 0%,#ffffff 25%,#ffffff 75%,#dddddd 100%); /* W3C */
  /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeee', endColorstr='#dddddd',GradientType=0 ); /* IE6-9 */

}

li:active {
  background: #a04000;
  box-shadow: inset 0 1px 1px #666;
}

/* Not sure what this does. */
* {box-sizing: border-box;}

/* Popup stuff basically comes from here: https://www.w3schools.com/howto/howto_js_popup_form.asp */
/* The popup form - hidden by default */
.import-popup {
 display: none;
 position: fixed;
 bottom: 0;
 right: 15px;
 border: 3px solid #f1f1f1;
 z-index: 9;
 max-width: 300px;
 padding: 10px;
 background-color: white;
}

/* Full-width input fields */
.import-popup input[type=text] {
 width: 100%;
 padding: 15px;
 margin: 5px 0 22px 0;
 border: none;
 background: #f1f1f1;
}

/* When the inputs get focus, do something */
.import-popup input[type=text]:focus {
 background-color: #ddd;
 outline: none;
}

/* Set a style for the submit/login button */
.import-popup .button {
 background-color: #4CAF50;
 color: white;
 padding: 16px 20px;
 border: none;
 cursor: pointer;
 width: 100%;
 margin-bottom: 0.2em;
 opacity: 0.8;
 margin-left: 0px;
 margin-right: 0px;
}

/* Add a red background color to the cancel button */
.import-popup .cancel {
 background-color: red;
}

#openLoginFormButton {
  position: relative;
  margin-bottom: 1em;
}

.login-form {
 display: none;
 position: fixed;
 bottom: 0;
 right: 15px;
 border: 3px solid #f1f1f1;
 z-index: 9;
 max-width: 300px;
 padding: 10px;
 background-color: white;
}

.login-form h1 {
  margin-left: 0px;
  text-align: center;
}

.login-form .button {
  background-color: #4CAF50;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  width: 100%;
  margin-top: 0.2em;
  margin-bottom: 0.2em;
  opacity: 0.8;
  margin-left: 0px;
  margin-right: 0px;
}

.login-form .cancel {
 background-color: red;
}

.newUser-container {
  display: none;
}

.login-form input {
  width: 100%;
  padding: 5px;
  margin: 5px 0 5px 0;
  border: none;
  background: #f1f1f1;
}

.login-form input:focus {
 background-color: #ddd;
 outline: none;
}
